| Kea 3.0.2-git

isc::limits::ProtectedTimeSeries Struct Reference

Holds a number of time points, used in limiting by a single criterion, and a mutex to protect concurrent reads and writes. More...

`#include <limit_manager.h>`

## Public Attributes
std::mutex | mutex_
| Protects against races on the time points which can be edited at each hook callout.
TimeSeries | time_points_
| Holds the actual time points.

## Detailed Description

Holds a number of time points, used in limiting by a single criterion, and a mutex to protect concurrent reads and writes.

Definition at line 43 of file limit_manager.h.

## Member Data Documentation

## ◆ mutex_

std::mutex isc::limits::ProtectedTimeSeries::mutex_

Protects against races on the time points which can be edited at each hook callout.

Definition at line 45 of file limit_manager.h.

## ◆ time_points_

TimeSeries isc::limits::ProtectedTimeSeries::time_points_

Holds the actual time points.

Definition at line 48 of file limit_manager.h.

The documentation for this struct was generated from the following file:

- limit_manager.h